# Cinder

# cinder::SurfaceT< T >::Iter Class Reference

`#include <Surface.h>`

List of all members.

## Public Member Functions
| Iter (SurfaceT< T > &SurfaceT, const Area &area)
T & | r () const
T & | g () const
T & | b () const
T & | a () const
T & | r (int32_t xOff, int32_t yOff) const
T & | g (int32_t xOff, int32_t yOff) const
T & | b (int32_t xOff, int32_t yOff) const
T & | a (int32_t xOff, int32_t yOff) const
T & | rClamped (int32_t xOff, int32_t yOff) const
T & | gClamped (int32_t xOff, int32_t yOff) const
T & | bClamped (int32_t xOff, int32_t yOff) const
T & | aClamped (int32_t xOff, int32_t yOff) const
const int32_t | x () const
const int32_t | y () const
Vec2i | getPos () const
bool | pixel ()
bool | line ()
int32_t | getWidth () const
int32_t | getHeight () const
## Public Attributes
uint8_t | mRedOff
uint8_t | mGreenOff
uint8_t | mBlueOff
uint8_t | mAlphaOff
uint8_t | mInc
uint8_t * | mLinePtr
T * | mPtr
int32_t | mRowInc
int32_t | mWidth
int32_t | mHeight
int32_t | mX
int32_t | mY
int32_t | mStartX
int32_t | mStartY
int32_t | mEndX
int32_t | mEndY

### template<typename T>
class cinder::SurfaceT< T >::Iter

## Constructor & Destructor Documentation

template<typename T>

cinder::SurfaceT< T >::Iter::Iter | ( | SurfaceT< T > & | SurfaceT,
|  | const Area & | area |
| ) |  |  |

## Member Function Documentation

template<typename T>

T& cinder::SurfaceT< T >::Iter::r | ( |  | ) | const

template<typename T>

T& cinder::SurfaceT< T >::Iter::g | ( |  | ) | const

template<typename T>

T& cinder::SurfaceT< T >::Iter::b | ( |  | ) | const

template<typename T>

T& cinder::SurfaceT< T >::Iter::a | ( |  | ) | const

template<typename T>

T& cinder::SurfaceT< T >::Iter::r | ( | int32_t | xOff,
|  | int32_t | yOff |
| ) |  |  | const

template<typename T>

T& cinder::SurfaceT< T >::Iter::g | ( | int32_t | xOff,
|  | int32_t | yOff |
| ) |  |  | const

template<typename T>

T& cinder::SurfaceT< T >::Iter::b | ( | int32_t | xOff,
|  | int32_t | yOff |
| ) |  |  | const

template<typename T>

T& cinder::SurfaceT< T >::Iter::a | ( | int32_t | xOff,
|  | int32_t | yOff |
| ) |  |  | const

template<typename T>

T& cinder::SurfaceT< T >::Iter::rClamped | ( | int32_t | xOff,
|  | int32_t | yOff |
| ) |  |  | const

template<typename T>

T& cinder::SurfaceT< T >::Iter::gClamped | ( | int32_t | xOff,
|  | int32_t | yOff |
| ) |  |  | const

template<typename T>

T& cinder::SurfaceT< T >::Iter::bClamped | ( | int32_t | xOff,
|  | int32_t | yOff |
| ) |  |  | const

template<typename T>

T& cinder::SurfaceT< T >::Iter::aClamped | ( | int32_t | xOff,
|  | int32_t | yOff |
| ) |  |  | const

template<typename T>

const int32_t cinder::SurfaceT< T >::Iter::x | ( |  | ) | const

template<typename T>

const int32_t cinder::SurfaceT< T >::Iter::y | ( |  | ) | const

template<typename T>

Vec2i cinder::SurfaceT< T >::Iter::getPos | ( |  | ) | const

template<typename T>

bool cinder::SurfaceT< T >::Iter::pixel | ( |  | ) |

template<typename T>

bool cinder::SurfaceT< T >::Iter::line | ( |  | ) |

template<typename T>

int32_t cinder::SurfaceT< T >::Iter::getWidth | ( |  | ) | const

template<typename T>

int32_t cinder::SurfaceT< T >::Iter::getHeight | ( |  | ) | const

## Member Data Documentation

template<typename T>

uint8_t cinder::SurfaceT< T >::Iter::mRedOff

template<typename T>

uint8_t cinder::SurfaceT< T >::Iter::mGreenOff

template<typename T>

uint8_t cinder::SurfaceT< T >::Iter::mBlueOff

template<typename T>

uint8_t cinder::SurfaceT< T >::Iter::mAlphaOff

template<typename T>

uint8_t cinder::SurfaceT< T >::Iter::mInc

template<typename T>

uint8_t* cinder::SurfaceT< T >::Iter::mLinePtr

template<typename T>

T* cinder::SurfaceT< T >::Iter::mPtr

template<typename T>

int32_t cinder::SurfaceT< T >::Iter::mRowInc

template<typename T>

int32_t cinder::SurfaceT< T >::Iter::mWidth

template<typename T>

int32_t cinder::SurfaceT< T >::Iter::mHeight

template<typename T>

int32_t cinder::SurfaceT< T >::Iter::mX

template<typename T>

int32_t cinder::SurfaceT< T >::Iter::mY

template<typename T>

int32_t cinder::SurfaceT< T >::Iter::mStartX

template<typename T>

int32_t cinder::SurfaceT< T >::Iter::mStartY

template<typename T>

int32_t cinder::SurfaceT< T >::Iter::mEndX

template<typename T>

int32_t cinder::SurfaceT< T >::Iter::mEndY

The documentation for this class was generated from the following file:

- include/cinder/Surface.h